# $Revision: 1.53.2.3 $, $Date: 2007/02/23 15:16:08 $
# Conditional build:
%bcond_without	gstreamer	# build without swfdec-mozilla-player
%bcond_without	gimp		# don't build gimp plugin
%bcond_with	libart		# use libarg_lgpl instead of cairo
#
Summary:	Flash animations redering library
Summary(pl):	Biblioteka renderujca animacje flash
Name:		swfdec
Version:	0.3.6
Release:	8
License:	GPL
Group:		Libraries
Source0:	http://www.schleef.org/swfdec/download/%{name}-%{version}.tar.gz
# Source0-md5:	bcfca3a8ce1d524ebf4d11fd511dedb8
Patch0:		%{name}-as_needed.patch
Patch1:		%{name}-xulrunner.patch
URL:		http://www.schleef.org/swfdec/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1.6
%{!?with_libart:BuildRequires:	cairo-devel >= 0.4.0}
%{?with_gimp:BuildRequires:	gimp-devel >= 1:2.0.0}
%if %{with gstreamer}
BuildRequires:	gstreamer-devel >= 0.10.0
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.0
%endif
BuildRequires:	gtk+2-devel >= 1:2.1.2
%{?with_libart:BuildRequires:	libart_lgpl-devel >= 2.0}
BuildRequires:	libmad-devel >= 0.14.2b
BuildRequires:	liboil-devel >= 0.3.9
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	xulrunner-devel
BuildRequires:	zlib-devel >= 1.1.4
Obsoletes:	libswfdec0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir 2>/dev/null)/plug-ins
%endif

%description
Libswfdec is a library for rendering Flash animations. Currently it
handles most Flash 3 animations and some Flash 4. No interactivity is
supported yet.

%description -l pl
Biblioteka libswfdec przeznaczona jest do odtwarzania animacji flash.
Obecnie potrafi wywietli wikszo animacji Flash 3 i cz Flash 4.
Interaktywno nie jest jeszcze obsugiwana.

%package devel
Summary:	Header file required to build programs using swfdec library
Summary(pl):	Pliki nagwkowe wymagane przez programy uywajce swfdec
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{!?with_libart:Requires:	cairo-devel >= 0.4.0}
Requires:	glib2-devel >= 1:2.10.0
%{?with_libart:Requires:	libart_lgpl-devel >= 2.0}
Requires:	libmad-devel >= 0.14.2b
Requires:	liboil-devel >= 0.3.9
Obsoletes:	libswfdec0-devel

%description devel
Header files required to build programs using swfdec library.

%description devel -l pl
Pliki nagwkowe niezbdne do kompilacji programw korzystajcych z
biblioteki swfdec.

%package static
Summary:	Static swfdec library
Summary(pl):	Statyczna biblioteka swfdec
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static swfdec library.

%description static -l pl
Statyczna biblioteka swfdec.

%package -n gimp-plugin-%{name}
Summary:	SWF loading file filter for the GIMP
Summary(pl):	Filtr wczytujcy pliki SWF dla GIMP-a
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n gimp-plugin-%{name}
SWF loading file filter for the GIMP.

%description -n gimp-plugin-%{name} -l pl
Filtr wczytujcy pliki SWF dla GIMP-a.

%package -n browser-plugin-%{name}
Summary:	Browser plugin for Flash rendering
Summary(pl):	Wtyczka przegldarki wywietlajca animacje Flash
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})
Obsoletes:	mozilla-plugin-swfdec

%description -n browser-plugin-%{name}
Browser plugin for rendering of Flash animations based on swfdec
library.

%description -n browser-plugin-%{name} -l pl
Wtyczka przegldarki wywietlajca animacje Flash oparta na bibliotece
swfdec.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_gstreamer:--disable-mozilla-plugin} \
	%{?with_libart:--with-backend=libart}

%{__make} -j1 \
	gimpdir=%{gimpplugindir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	plugindir=%{_browserpluginsdir} \
	gimpdir=%{gimpplugindir} \
	pkgconfigdir=%{_pkgconfigdir}

rm -f $RPM_BUILD_ROOT%{_browserpluginsdir}/*.{a,la} \
	$RPM_BUILD_ROOT%{_libdir}/gtk-*/*/loaders/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%if %{with gstreamer}
# TODO: move to base browser plugin package
%attr(755,root,root) %{_bindir}/swfdec-mozilla-player
%endif
%attr(755,root,root) %{_libdir}/libswfdec-*.so.*.*
%attr(755,root,root) %{_libdir}/gtk-2.0/2.*/loaders/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-*.so
%{_libdir}/libswfdec-*.la
%{_includedir}/swfdec-*
%{_pkgconfigdir}/swfdec-*.pc

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-*.a

%if %{with gimp}
%files -n gimp-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{gimpplugindir}/swf
%endif

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/libswfdecmozilla.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swfdec.spec,v $
Revision 1.53.2.3  2007/02/23 15:16:08  glen
- decrease deps; rel 8

Revision 1.53.2.2  2007/02/23 03:14:49  glen
- todo is done

Revision 1.53.2.1  2007/02/23 03:12:40  glen
- moo

Revision 1.53  2007/02/23 03:11:27  glen
- no utf8 on AC yet

Revision 1.52  2007/02/23 03:09:55  glen
- rel 7

Revision 1.51  2007/02/23 03:09:40  glen
- blah, commit went to wrong branch
  but those shouldn't hurt on HEAD so just update commit msg

Revision 1.50  2007/02/23 03:07:21  glen
- add xulrunner patch
- builds with make -j1

Revision 1.49  2007/02/23 02:59:08  glen
- drop those unneccessary update deps commits, brr
- try use xulrunner

Revision 1.48  2007/02/23 02:50:11  glen
- browser plugins v2

Revision 1.47  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.45  2007/01/11 10:22:09  sls
- added as_needed.patch

Revision 1.44  2006/10/30 17:58:06  shadzik
- support mozilla-firefox-bin
- rel++

Revision 1.43  2006/07/15 20:25:21  freetz
- rel.5, updated deps, neverending libpng12.la story

Revision 1.42  2006/06/21 21:35:05  freetz
- rel.4, bleeding edge deps, use firefox for browser plguin build

Revision 1.41  2006/05/04 23:33:36  glen
- use browser plugins, rel 2

Revision 1.40  2006/05/04 21:41:19  glen
- 2>/dev/null macro parsing

Revision 1.39  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.38  2006/01/14 17:17:31  qboosh
- updated to 0.3.6 (ready for gstreamer 0.10.x), removed obsolete configure patch

Revision 1.37  2005/09/05 15:31:40  freetz
- gimp bcond

Revision 1.36  2005/07/03 07:48:20  freetz
- crash circular build dependency (gstreamer bcond for bootstrap)

Revision 1.35  2005/05/22 10:34:29  qboosh
- updated to 0.3.5 (patch release), updated configure patch

Revision 1.34  2005/03/21 21:14:24  qboosh
- updated to 0.3.4, updated configure patch, removed obsolete am patch

Revision 1.33  2005/03/21 12:12:04  havner
- rel 2 for new liboil

Revision 1.32  2005/03/20 20:18:40  qboosh
- updated to 0.3.3, needs gstreamer now

Revision 1.31  2005/01/05 15:21:08  qboosh
- -devel deps, release 2

Revision 1.30  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.29  2004/11/21 11:30:32  qboosh
- updated to 0.3.2, updated URLs, added gimp-plugin- package
- lib name changed, but it works much better than before

Revision 1.28  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.27  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.26  2004/03/17 01:54:01  grzegol
- rel. 3 to rebuild with gtk+2-2.4.0

Revision 1.25  2003/12/13 18:14:23  qboosh
- added types patch (fixes build on 64-bit archs)
- BR: pkgconfig, release 2

Revision 1.24  2003/12/09 15:14:56  qboosh
- s/mad-devel/libmad-devel/

Revision 1.23  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 06:27:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/20 12:10:25  qboosh
- added mozilla 1.4b compatibility patch (already includes -DMOZ_X11)

Revision 1.20  2003/05/20 09:49:56  trojan
- updated to 0.2.2

Revision 1.19  2003/05/19 09:37:00  qboosh
- define MOZ_X11 to build on mozilla 1.4

Revision 1.18  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.17  2003/02/22 21:56:24  grzegol
- updated to 0.2.1
- updated configure patch
- updated %files

Revision 1.16  2003/01/28 13:21:03  wrobell
- fixed build requirements (sdl is required to build the player)

Revision 1.15  2003/01/25 15:16:36  aflinta
- regeneration is back

Revision 1.14  2003/01/25 13:45:41  aflinta
- corrected .pc file, release 2

Revision 1.13  2003/01/24 18:38:30  aflinta
- reverted last change which doesn't work

Revision 1.12  2003/01/24 18:26:19  mmazur
- That's kind of a wierd hack, but those macros should've been placed in
  acinclude.m4 in the first place

Revision 1.11  2003/01/24 18:10:18  aflinta
- temporary fix, disabling AM/AC regeneration and waiting for better solution

Revision 1.10  2003/01/24 18:01:40  mmazur
- damn rpm :)

Revision 1.9  2003/01/24 16:27:47  aflinta
- updated to version 0.2.0

Revision 1.8  2003/01/08 19:41:46  aflinta
- updated to version 0.1.3

Revision 1.7  2002/12/09 07:45:32  aflinta
- moved to /usr
- release 2

Revision 1.6  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.5  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/11/08 22:52:18  kloczek
- added libswfdec0{,-devel} for allow upgrade from MDK.

Revision 1.3  2002/11/07 14:09:48  aflinta
- corrected include location i swfdec.pc file

Revision 1.2  2002/11/07 13:15:05  qboosh
- changed plugin name to mozilla-plugin-swfdec
- added lib*.so symlink to -devel
- BR: gtk+2-devel,libart_lgpl-devel,mad-devel,zlib-devel

Revision 1.1  2002/11/07 11:40:44  aflinta
- initial release
